Flecs: EcsWorldSummary Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
EcsWorldSummary Struct Reference
C API » Addons » Stats

Component that stores a summary of world statistics. More...

`#include <stats.h>`

## Public Attributes
double | target_fps
| Target FPS.
double | time_scale
| Simulation time scale.
double | frame_time_total
| Total time spent processing a frame.
double | system_time_total
| Total time spent in systems.
double | merge_time_total
| Total time spent in merges.
double | frame_time_last
| Time spent processing a frame.
double | system_time_last
| Time spent in systems.
double | merge_time_last
| Time spent in merges.
int64_t | frame_count
| Number of frames processed.
int64_t | command_count
| Number of commands processed.
ecs_build_info_t | build_info
| Build info.

## Detailed Description

Component that stores a summary of world statistics.

Definition at line 449 of file stats.h.

## Member Data Documentation

## ◆ build_info

ecs_build_info_t EcsWorldSummary::build_info

Build info.

Definition at line 468 of file stats.h.

## ◆ command_count

int64_t EcsWorldSummary::command_count

Number of commands processed.

Definition at line 465 of file stats.h.

## ◆ frame_count

int64_t EcsWorldSummary::frame_count

Number of frames processed.

Definition at line 464 of file stats.h.

## ◆ frame_time_last

double EcsWorldSummary::frame_time_last

Time spent processing a frame.

Definition at line 460 of file stats.h.

## ◆ frame_time_total

double EcsWorldSummary::frame_time_total

Total time spent processing a frame.

Definition at line 455 of file stats.h.

## ◆ merge_time_last

double EcsWorldSummary::merge_time_last

Time spent in merges.

Definition at line 462 of file stats.h.

## ◆ merge_time_total

double EcsWorldSummary::merge_time_total

Total time spent in merges.

Definition at line 457 of file stats.h.

## ◆ system_time_last

double EcsWorldSummary::system_time_last

Time spent in systems.

Definition at line 461 of file stats.h.

## ◆ system_time_total

double EcsWorldSummary::system_time_total

Total time spent in systems.

Definition at line 456 of file stats.h.

## ◆ target_fps

double EcsWorldSummary::target_fps

Target FPS.

Definition at line 451 of file stats.h.

## ◆ time_scale

double EcsWorldSummary::time_scale

Simulation time scale.

Definition at line 452 of file stats.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/stats.h